add_newline = false

format = """
[┌─](dimmed) $shlvl$kubernetes$directory$git_branch$git_commit$git_state$git_metrics$git_status$hg_branch$docker_context$package$cmake$dart$elixir$elm$erlang$golang$java$lua$nodejs$perl$php$python$rust$terraform$vagrant$zig$nix_shell$memory_usage$aws$env_var$fill $sudo$username$hostname$cmd_duration$time\
$line_break\
[└─](dimmed)$jobs$battery$status$shell$character"""

scan_timeout = 10

[character]
success_symbol = "[❯](bold green)"
error_symbol = "[✗](bold red)"

[cmd_duration]
show_notifications = false

[directory]
fish_style_pwd_dir_length = 3
truncate_to_repo = false

[fill]
symbol = "."
style = "dimmed"

[git_metrics]
disabled = false

[golang]
symbol = "(bold blue)go "

[hostname]
trim_at = ""
format = "on [$hostname]($style) "

[time]
format = "at [$time](dimmed cyan)"
disabled = false

[username]
format = "[$user]($style) "
